package com.yunzhi.shigongli.controller;

import com.yunzhi.shigongli.common.BaseController;
import com.yunzhi.shigongli.common.DateUtils;
import com.yunzhi.shigongli.common.ResponseBean;
import com.yunzhi.shigongli.service.ITaOrderSubService;
import com.yunzhi.shigongli.service.ITsStatisDailyService;
import com.yunzhi.shigongli.vo.StatisDailyVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Api(tags = "查询统计")
@RestController
@RequestMapping("/")
public class StatisticsController  extends BaseController {

    private final Logger logger = LoggerFactory.getLogger(SysUserController.class);

    @Autowired
    ITsStatisDailyService iTsStatisDailyService;

    @RequestMapping(value="/admin/statis/summary",method= RequestMethod.GET)
    @ApiOperation(value="当前用户", notes = "详情", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean statisSummary() {
        Map<String, Integer> result = iTsStatisDailyService.statisSummary();

        return ResponseBean.success(result);
    }

    @RequestMapping(value="/admin/statis/{type}/daliy",method= RequestMethod.GET)
    @ApiOperation(value="首页日活统计", notes = "首页日活统计", httpMethod = "GET", response = ResponseBean.class)
    public ResponseBean statisIndexDaliy(@ApiParam("统计类型") @PathVariable String type,
                                    @ApiParam(value = "开始时间", example = "2021-09-01") @RequestParam(value ="start") String start,
                                    @ApiParam(value = "结束时间", example = "2021-09-01") @RequestParam(value ="end") String end) {
        LocalDateTime startDate = DateUtils.from(start + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        LocalDateTime endDate = DateUtils.from(end + " 00:00:00", "yyyy-MM-dd HH:mm:ss");
        long days = DateUtils.daysBetween(startDate, endDate);

        List<StatisDailyVO> result = iTsStatisDailyService.getListBy(start, type, days);

        return ResponseBean.success(result);
    }
}
