package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 评价表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaEvaluation对象", description="评价表")
public class TaEvaluation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "评价ID")
    @TableId(value = "evaluate_id", type = IdType.AUTO)
    private Integer evaluateId;

    @ApiModelProperty(value = "被评对象类型")
    private String targetType;

    @ApiModelProperty(value = "被评对象ID")
    private String targetId;

    @ApiModelProperty(value = "评价类型")
    private String evaluateType;

    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty(value = "评价内容")
    private String content;

    @ApiModelProperty(value = "评价人")
    private String personId;

    @ApiModelProperty(value = "评价时间")
    private LocalDateTime createDate;


}
