package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 热词
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHotWord对象", description="热词")
public class TaHotWord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "热词ID")
    @TableId(value = "word_id", type = IdType.UUID)
    private String wordId;

    @ApiModelProperty(value = "热词")
    private String word;

    @ApiModelProperty(value = "搜索次数")
    private Integer searchNum;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "访问时间")
    private LocalDateTime createDate;

}
