package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 民宿账户流水
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaHotelAccountLog对象", description="民宿账户流水")
public class TaHotelAccountLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "流水ID")
    @TableId(value = "log_id", type = IdType.AUTO)
    private Integer logId;

    @ApiModelProperty(value = "账户ID")
    private String accountId;

    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ApiModelProperty(value = "收支类型;-1支出, 1收入")
    private Integer signType;

    @ApiModelProperty(value = "金额类型")
    private String amountType;

    @ApiModelProperty(value = "金额;单位分")
    private Integer amount;

    @ApiModelProperty(value = "关联类型")
    private String targetType;

    @ApiModelProperty(value = "关联对象ID")
    private String targetId;

    @ApiModelProperty(value = "关联人")
    private String targetPerson;

    @ApiModelProperty(value = "主订单")
    private String orderId;

    @ApiModelProperty(value = "子订单")
    private String subOrderId;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;


}
