package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 子订单表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaOrderSub对象", description="子订单表")
public class TaOrderSub implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "子订单ID")
    @TableId(value = "sub_order_id", type = IdType.INPUT)
    private String subOrderId;

    @ApiModelProperty(value = "主订单ID")
    private String orderId;

    @ApiModelProperty(value = "商铺ID")
    private String shopId;

    @ApiModelProperty(value = "套餐ID")
    private String packageId;

    @ApiModelProperty(value = "子订单描述")
    private String description;

    @ApiModelProperty(value = "总金额;单位分")
    private Integer charges;

    @ApiModelProperty(value = "数量")
    private Integer amount;

    @ApiModelProperty(value = "单价;单位分")
    private Integer unitPrice;

    @ApiModelProperty(value = "抽成;单位分")
    private Integer commissionCharge;

    @ApiModelProperty(value = "返现金额;单位分")
    private Integer cashback;

    @ApiModelProperty(value = "是否核销")
    private Boolean isVerified;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "核销时间")
    private LocalDateTime verifiedDate;
}
