package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * <p>
 * 资源指标集
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaResource对象", description="资源指标集")
public class TaResource implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "resourceNo")
    @TableId(value = "resource_no", type = IdType.AUTO)
    private Integer resourceNo;

    @ApiModelProperty(value = "访问对象类型")
    private String targetType;

    @ApiModelProperty(value = "访问对象ID")
    private String targetId;

    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    @ApiModelProperty(value = "浏览量")
    private Integer pvNum;

    @ApiModelProperty(value = "用户数")
    private Integer uvNum;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "文案")
    private String title;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "均价")
    private Integer averagePrice;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "所属区")
    private String cityId;

    @ApiModelProperty(value = "状态")
    private Integer status;
}
