package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 房源订单
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaRoomOrder对象", description="房源订单")
public class TaRoomOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "订单ID")
    @TableId(value = "room_order_id", type = IdType.UUID)
    private String roomOrderId;

    @ApiModelProperty(value = "房源ID")
    private String roomId;

    @ApiModelProperty(value = "民宿ID")
    private String hotelId;

    @ApiModelProperty(value = "分享人")
    private String sharePerson;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

    @ApiModelProperty(value = "人数")
    private Integer personNum;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "分享图")
    @TableField(exist = false)
    private String shareImage;

    @ApiModelProperty(value = "房源入住人")
    @TableField(exist = false)
    private List<TaRoomOrderPerson> personList;
}
