package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 收藏表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaSave对象", description="收藏表")
public class TaSave implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "收藏ID")
    @TableId(value = "save_id", type = IdType.AUTO)
    private Integer saveId;

    @ApiModelProperty(value = "收藏对象类型")
    private String targetType;

    @ApiModelProperty(value = "对象ID")
    private String targetId;

    @ApiModelProperty(value = "收藏人")
    private String personId;

    @ApiModelProperty(value = "收藏时间")
    private LocalDateTime createDate;


}
