package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 商铺
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShop对象", description="商铺")
public class TaShop implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商铺ID")
    @TableId(value = "shop_id", type = IdType.UUID)
    private String shopId;

    @ApiModelProperty(value = "商铺名称")
    private String shopName;

    @ApiModelProperty(value = "宣传文案")
    private String title;

    @ApiModelProperty(value = "logo")
    private String logo;

    @ApiModelProperty(value = "所属区")
    private String cityId;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ApiModelProperty(value = "定位")
    private String locaton;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "人均消费")
    private Integer averagePrice;

    @ApiModelProperty(value = "营业时间")
    private String businessHours;

    @ApiModelProperty(value = "口味评分")
    private BigDecimal sweetScore;

    @ApiModelProperty(value = "环境评分")
    private BigDecimal environmentScore;

    @ApiModelProperty(value = "服务评分")
    private BigDecimal serviceScore;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "点赞数")
    @TableField(exist = false)
    private Integer likeNum;

    @ApiModelProperty(value = "收藏数")
    @TableField(exist = false)
    private Integer saveNum;

    @ApiModelProperty(value = "浏览量")
    @TableField(exist = false)
    private Integer pvNum;

    @ApiModelProperty(value = "用户数")
    @TableField(exist = false)
    private Integer uvNum;

    @ApiModelProperty(value = "图片列表")
    @TableField(exist = false)
    private List<TaImage> imageList;

    @ApiModelProperty(value = "分类标签")
    @TableField(exist = false)
    private List<TaTargetType> typeList;


    @ApiModelProperty(value = "是否收藏")
    @TableField(exist = false)
    private Integer isSaved;

    @ApiModelProperty(value = "是否点赞")
    @TableField(exist = false)
    private Integer isLike;
}
