package com.yunzhi.shigongli.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 套餐设置
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaShopPackageSetting对象", description="套餐设置")
public class TaShopPackageSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "套餐ID")
    @TableId(value = "package_id", type = IdType.INPUT)
    private String packageId;

    @ApiModelProperty(value = "引流分成;单位千分之一")
    private Integer trafficRate;

    @ApiModelProperty(value = "平台分成;单位千分之一")
    private Integer platformRate;

    @ApiModelProperty(value = "参与攻略")
    private Boolean isStrategy;

    @ApiModelProperty(value = "推荐等级")
    private String strategyLevel;


}
