package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 旅游景点
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaTourist对象", description="旅游景点")
public class TaTourist implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "景区ID")
    @TableId(value = "tourist_id", type = IdType.UUID)
    private String touristId;

    @ApiModelProperty(value = "景区名称")
    private String touristName;

    @ApiModelProperty(value = "宣传文案")
    private String title;

    @ApiModelProperty(value = "简介")
    private String description;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "人均消费")
    private Integer averagePrice;

    @ApiModelProperty(value = "logo")
    private String logo;

    @ApiModelProperty(value = "所属区")
    private String cityId;

    @ApiModelProperty(value = "定位")
    private String locaton;

    @ApiModelProperty(value = "地址")
    private String address;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "推荐等级")
    private String strategyLevel;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "收藏数")
    @TableField(exist = false)
    private Integer saveNum;

    @ApiModelProperty(value = "点赞数")
    @TableField(exist = false)
    private Integer likeNum;

    @ApiModelProperty(value = "浏览量")
    @TableField(exist = false)
    private Integer pvNum;

    @ApiModelProperty(value = "用户数")
    @TableField(exist = false)
    private Integer uvNum;

    @ApiModelProperty(value = "所属区位名称")
    @TableField(exist = false)
    private String areaName;

    @ApiModelProperty(value = "图片列表")
    @TableField(exist = false)
    private List<TaImage> imageList;

    @ApiModelProperty(value = "分类标签")
    @TableField(exist = false)
    private List<TaTargetType> typeList;

    @ApiModelProperty(value = "是否收藏")
    @TableField(exist = false)
    private Integer isSaved;

    @ApiModelProperty(value = "是否点赞")
    @TableField(exist = false)
    private Integer isLike;
}
