package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 核销内容表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaVerifyTarget对象", description="核销内容表")
public class TaVerifyTarget implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "产品核销码")
    @TableId(value = "verify_no", type = IdType.INPUT)
    private String verifyNo;

    @ApiModelProperty(value = "产品类型")
    private String targetType;

    @ApiModelProperty(value = "产品ID")
    private String targetId;

    @ApiModelProperty(value = "产品描述")
    private String description;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "价格/单位分")
    private Integer actualPrice;

    @ApiModelProperty(value = "原始价格/单位分")
    private Integer standPrice;

    @ApiModelProperty(value = "返现金额/单位分")
    private Integer cashback;

    @ApiModelProperty(value = "发放时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "过期时间")
    private LocalDateTime expireDate;

    @ApiModelProperty(value = "下单时间")
    private LocalDateTime orderDate;

    @ApiModelProperty(value = "下单ID")
    private String orderId;

    @ApiModelProperty(value = "子单号")
    private String subOrderId;

    @ApiModelProperty(value = "所属客户")
    private String personId;

    @ApiModelProperty(value = "是否核销")
    private Boolean isVerified;

    @ApiModelProperty(value = "核销时间")
    private LocalDateTime verifiedDate;

    @ApiModelProperty(value = "是否确认核销")
    private Boolean isConfirmVerified;

    @ApiModelProperty(value = "确认核销人")
    private String confirmPerson;

    @ApiModelProperty(value = "确认核销时间")
    private LocalDateTime confirmDate;

    @ApiModelProperty(value = "状态")
    private Integer status;
}
