package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 城市表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TdCity对象", description="城市表")
public class TdCity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "城市ID")
    @TableId(value = "area_id", type = IdType.INPUT)
    private String areaId;

    @ApiModelProperty(value = "名称")
    private String areaName;

    @ApiModelProperty(value = "父级ID")
    private String areaPId;

    @ApiModelProperty(value = "父级ID")
    @TableField(exist = false)
    private String areaPName;

    @ApiModelProperty(value = "等级")
    private String areaLevel;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "纬度")
    private String lat;

}
