package com.yunzhi.shigongli.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 用户访问埋点
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TrPersonPage对象", description="用户访问埋点")
public class TrPersonPage {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "track_id", type = IdType.AUTO)
    private String trackId;

    @ApiModelProperty(value = "人员ID")
    private String personId;

    @ApiModelProperty(value = "地址位置")
    private String location;

    @ApiModelProperty(value = "页面地址")
    private String page;

    @ApiModelProperty(value = "页面参数")
    private String params;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "进入时间")
    private LocalDateTime inDate;

    @ApiModelProperty(value = "离开时间")
    private LocalDateTime outDate;

    @ApiModelProperty(value = "驻留时间;单位秒")
    private Long dwellTime;
}
