package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaOrderSub;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.vo.MineOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 子订单表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaOrderSubMapper extends BaseMapper<TaOrderSub> {

    int updateStatusByOrder(@Param("orderId") String orderId, @Param("status") Integer status);

    List<TaOrderSub> getListByOrder(@Param("orderId") String orderId);

    int updateStatus(@Param("subOrderId") String subOrderId, @Param("status") Integer status);

    int updateVerified(@Param("subOrderId") String subOrderId, @Param("isVerified") int isVerified);

    IPage<MineOrder> getOrderSubListOf(IPage<MineOrder> pg,
                                       @Param("personId") String personId,
                                       @Param("shopTarget") String shopTarget,
                                       @Param("status") Integer status,
                                       @Param("orderId") String orderId,
                                       @Param("isVerified") Integer isVerified);

    int getOrderNum(@Param("personId") String personId, @Param("status") Integer status);

    Integer getTotalCharges(@Param("targetType") String targetType,
                            @Param("targetId") String targetId,
                            @Param("start") LocalDateTime start,
                            @Param("end") LocalDateTime end);


    MineOrder getSingleOrderSubOf(@Param("personId") String personId, @Param("targetType") String targetType, @Param("subOrderId") Integer subOrderId);
}
