package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaResource;
import com.yunzhi.shigongli.vo.ResourceListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 资源类型表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaResourceMapper extends BaseMapper<TaResource> {

    int increaseQuota(@Param("quota") String quota, @Param("targetType") String targetType, @Param("targetId") String targetId);

    int updateQuota(@Param("quota") String save_num,  @Param("targetType") String targetType, @Param("targetId")  String targetId, @Param("num") int num);

    IPage<ResourceListVO> getWxPagedBy(IPage<ResourceListVO> pg,
                                       @Param("personId") String personId,
                                       @Param("location") String location,
                                       @Param("typeId") String typeId);

    IPage<ResourceListVO> getSearchList(IPage<ResourceListVO> pg,
                                        @Param("personId") String personId,
                                        @Param("location") String location,
                                        @Param("word")  String word,
                                        @Param("targetType") String targetType);
}
