package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaShopPackage;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.vo.ShopPackageRecommend;
import com.yunzhi.shigongli.vo.ShopPackageVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商铺套餐 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaShopPackageMapper extends BaseMapper<TaShopPackage> {

    IPage<ShopPackageVO> getProfilePage(IPage<TaShopPackage> pg, @Param("shopId") String shopId);

    IPage<TaShopPackage> getWxPackageList(IPage<TaShopPackage> pg,
                                          @Param("targetType") String targetType,
                                          @Param("shopId") String shopId,
                                          @Param("personId") String personId);

    List<ShopPackageRecommend> getWxRecommendList(@Param("targetType") String targetType,
                                                  @Param("location") String location,
                                                  @Param("personId") String personId,
                                                  @Param("limit") Integer limit);
}
