package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TsStatisDaily;
import com.yunzhi.shigongli.vo.StatisDailyVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 日统计 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TsStatisDailyMapper extends BaseMapper<TsStatisDaily> {

    List<StatisDailyVO> getListBy(@Param("startDate") String startDate, @Param("statisType") String statisType, @Param("days") long days);

    @Select("SELECT sum( t.charges ) FROM ta_order_sub t  WHERE t.`status` = 1")
    Integer statisOrderTotal();

    @Select("SELECT count( 1 ) FROM ta_hotel t WHERE t.`status` > -1")
    Integer countHotelTotal();

    @Select("SELECT count( 1 ) FROM ta_room t WHERE t.`status` > -1")
    Integer countRoomTotal();

    @Select("SELECT count( 1 ) FROM ta_shop t WHERE t.`status` > -1")
    Integer countShopTotal();

    @Select("SELECT count( 1 ) FROM ta_person t WHERE t.`status` > -1")
    Integer countPersonTotal();
}
