package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaOrder;
import com.yunzhi.shigongli.entity.TaOrderSub;

import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.vo.MineOrder;
import com.yunzhi.shigongli.vo.MineOrderSummary;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 子订单表 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaOrderSubService extends IBaseService<TaOrderSub> {

    void refund(TaPerson person, TaOrder taOrder, TaOrderSub taOrderSub) throws Exception;

    void validation(TaPerson taPerson, TaOrder taOrder, TaOrderSub taOrderSub) throws Exception;

    IPage<MineOrder> getOrderSubListOf(IPage<MineOrder> pg, TaPerson taPerson, Integer status, String orderId, Integer isVerified);

    MineOrderSummary getOrderSummary(TaPerson taPerson);

    List<TaOrderSub> getListByOrder(TaOrder taOrder);

    Integer getTotalCharges(String targetType, String targetId, LocalDateTime start, LocalDateTime end);

    MineOrder getSingleOrderSubOf(TaPerson taPerson, Integer subOrderId);
}
