package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.entity.SysConfig;
import com.yunzhi.shigongli.mapper.SysConfigMapper;
import com.yunzhi.shigongli.service.ISysConfigService;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 用户登录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysConfigServiceImpl extends BaseServiceImpl<SysConfigMapper, SysConfig> implements ISysConfigService {

    @Async
    @Transactional(rollbackFor = Exception.class)
    @Override
    public void initSysConfig() throws Exception {
        if (count() > 0) {
            return;
        }

        SysConfig config1 = new SysConfig();
        config1.setConfigCode(Constants.CONF_HOTEL_RECOMMEND_VALID_DAYS);
        config1.setConfigName("民宿推广客户有效时间");
        config1.setDescription("单位 天");
        config1.setConfigValue("365");
        config1.setStatus(true);
        config1.setSort(1);

        SysConfig config2 = new SysConfig();
        config2.setConfigCode(Constants.CONF_SHOP_RECOMMEND_VALID_DAYS);
        config2.setConfigName("商铺推广客户有效时间");
        config2.setDescription("单位 天");
        config2.setConfigValue("12");
        config2.setStatus(true);
        config2.setSort(2);

        List<SysConfig> configList = new ArrayList<SysConfig>(){{
            add(config1);
            add(config2);
        }};

        saveBatch(configList);
    }
}
