package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.yunzhi.shigongli.entity.SysLogin;
import com.yunzhi.shigongli.mapper.SysLoginMapper;
import com.yunzhi.shigongli.service.ISysLoginService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户登录 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-04-15
 */
@Service
public class SysLoginServiceImpl extends BaseServiceImpl<SysLoginMapper, SysLogin> implements ISysLoginService {

    @Autowired
    SysLoginMapper sysLoginMapper;

    @Override
    public SysLogin getByLoginName(String loginName) {
        QueryWrapper<SysLogin> queryWrapper = new QueryWrapper<SysLogin>()
                .eq("login_name", loginName)
                .last("limit 1");
        return getOne(queryWrapper);
    }

    @Override
    public SysLogin getByUser(String userId) {
        QueryWrapper<SysLogin> queryWrapper = new QueryWrapper<SysLogin>()
                .eq("user_id", userId)
                .last("limit 1");
        return getOne(queryWrapper);
    }
}
