package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.entity.TaHotelWorker;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.mapper.TaHotelWorkerMapper;
import com.yunzhi.shigongli.service.ITaHotelWorkerService;

import com.yunzhi.shigongli.vo.HotelWorkerListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 民宿员工 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaHotelWorkerServiceImpl extends BaseServiceImpl<TaHotelWorkerMapper, TaHotelWorker> implements ITaHotelWorkerService {

    @Autowired
    TaHotelWorkerMapper hotelWorkerMapper;

    @Override
    public IPage<HotelWorkerListVO> getPagedListBy(IPage<HotelWorkerListVO> pg, String hotelId) {
        return hotelWorkerMapper.getPagedListBy(pg, hotelId);
    }

    @Override
    public List<TaHotelWorker> getByPhone(String phone) {
        LambdaQueryWrapper<TaHotelWorker> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaHotelWorker::getPhone, phone);
        queryWrapper.gt(TaHotelWorker::getStatus, Constants.STATUS_DELETED);

        return list(queryWrapper);
    }

    @Override
    public void updateByPerson(TaPerson taPerson) throws Exception {
        hotelWorkerMapper.updateByPerson(taPerson);
    }

}
