package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.entity.TaLike;
import com.yunzhi.shigongli.mapper.TaLikeMapper;
import com.yunzhi.shigongli.service.ITaLikeService;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 点赞表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaLikeServiceImpl extends BaseServiceImpl<TaLikeMapper, TaLike> implements ITaLikeService {

    @Override
    public TaLike getByTarget(String targetType, String targetId, String personId) {
        LambdaQueryWrapper<TaLike> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaLike::getTargetType, targetType);
        queryWrapper.eq(TaLike::getTargetId, targetId);
        queryWrapper.eq(TaLike::getPersonId, personId);

        return getOne(queryWrapper);
    }
}
