package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaPersonRole;
import com.yunzhi.shigongli.mapper.TaPersonRoleMapper;
import com.yunzhi.shigongli.service.ITaPersonRoleService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 小程序人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaPersonRoleServiceImpl extends BaseServiceImpl<TaPersonRoleMapper, TaPersonRole> implements ITaPersonRoleService {

    @Override
    public List<TaPersonRole> getListByPerson(String personId) {
        LambdaQueryWrapper<TaPersonRole> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaPersonRole::getPersonId, personId);

        return list(queryWrapper);
    }

    @Override
    public TaPersonRole getPersonRole(TaPerson taPerson, String targetType) {
        LambdaQueryWrapper<TaPersonRole> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaPersonRole::getPersonId, taPerson.getPersonId());
        queryWrapper.eq(TaPersonRole::getTargetType, targetType);
        queryWrapper.gt(TaPersonRole::getStatus, Constants.STATUS_DELETED);

        return getOne(queryWrapper);
    }
}
