package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.common.StringUtils;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.mapper.TaPersonMapper;
import com.yunzhi.shigongli.service.ITaPersonService;

import org.springframework.stereotype.Service;

/**
 * <p>
 * 小程序人员表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaPersonServiceImpl extends BaseServiceImpl<TaPersonMapper, TaPerson> implements ITaPersonService {

    @Override
    public TaPerson getByOpenid(String openid) {
        if (StringUtils.isEmpty(openid)) {
            return null;
        }

        LambdaQueryWrapper<TaPerson> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaPerson::getOpenid, openid);
        queryWrapper.gt(TaPerson::getStatus, Constants.STATUS_DELETED);
        queryWrapper.last("limit 1");

        return getOne(queryWrapper);
    }

    @Override
    public TaPerson getByOpenidOrNot(String openid) {
        TaPerson taPerson = getByOpenid(openid);
        if (null == taPerson) {
            taPerson = new TaPerson();
            taPerson.setOpenid(openid);
            save(taPerson);
            // 插入过程会有默认字段写入
            taPerson = getById(taPerson.getPersonId());
        }

        return taPerson;
    }
}
