package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaRoomOrderPerson;
import com.yunzhi.shigongli.mapper.TaRoomOrderPersonMapper;
import com.yunzhi.shigongli.service.ITaRoomOrderPersonService;

import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 房源订单打开人 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaRoomOrderPersonServiceImpl extends BaseServiceImpl<TaRoomOrderPersonMapper, TaRoomOrderPerson> implements ITaRoomOrderPersonService {

    @Override
    public List<TaRoomOrderPerson> getListByRoomOrder(String roomOrderId) {
        LambdaQueryWrapper<TaRoomOrderPerson> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaRoomOrderPerson::getRoomOrderId, roomOrderId);
        queryWrapper.orderByAsc(TaRoomOrderPerson::getCreateDate);

        return list(queryWrapper);
    }
}
