package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.yunzhi.shigongli.entity.TaSave;
import com.yunzhi.shigongli.mapper.TaSaveMapper;
import com.yunzhi.shigongli.service.ITaSaveService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 点赞表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaSaveServiceImpl extends BaseServiceImpl<TaSaveMapper, TaSave> implements ITaSaveService {

    @Override
    public boolean removeBy(String targetType, String targetId, String personId) {
        LambdaQueryWrapper<TaSave> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaSave::getTargetType, targetType);
        queryWrapper.eq(TaSave::getTargetId, targetId);
        queryWrapper.eq(TaSave::getPersonId, personId);
        return remove(queryWrapper);
    }

    @Override
    public TaSave getByTarget(String targetType, String targetId, String personId) {
        LambdaQueryWrapper<TaSave> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaSave::getTargetType, targetType);
        queryWrapper.eq(TaSave::getTargetId, targetId);
        queryWrapper.eq(TaSave::getPersonId, personId);
        return getOne(queryWrapper);
    }
}
