package com.yunzhi.shigongli.service.impl;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaShopWorker;
import com.yunzhi.shigongli.mapper.TaShopWorkerMapper;
import com.yunzhi.shigongli.service.ITaShopWorkerService;
import com.yunzhi.shigongli.vo.ShopWorkerListVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 民宿员工 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaShopWorkerServiceImpl extends BaseServiceImpl<TaShopWorkerMapper, TaShopWorker> implements ITaShopWorkerService {

    @Autowired
    TaShopWorkerMapper shopWorkerMapper;

    @Override
    public IPage<ShopWorkerListVO> getPagedListBy(IPage<ShopWorkerListVO> pg, String shopId) {
        return shopWorkerMapper.getPagedListBy(pg, shopId);
    }

    @Override
    public List<TaShopWorker> getByPhone(String phone) {
        LambdaQueryWrapper<TaShopWorker> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaShopWorker::getPhone, phone);
        queryWrapper.gt(TaShopWorker::getStatus, Constants.STATUS_DELETED);

        return list(queryWrapper);
    }

    @Override
    public void updateByPerson(TaPerson taPerson) throws Exception {
        shopWorkerMapper.updateByPerson(taPerson);
    }

    @Override
    public List<TaShopWorker> getByPerson(String personId) {
        LambdaQueryWrapper<TaShopWorker> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TaShopWorker::getPersonId, personId);
        queryWrapper.gt(TaShopWorker::getStatus, Constants.STATUS_DELETED);

        return list(queryWrapper);
    }
}
