package com.yunzhi.shigongli.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.common.Constants;
import com.yunzhi.shigongli.common.StringUtils;
import com.yunzhi.shigongli.entity.TaVerifyTarget;
import com.yunzhi.shigongli.mapper.TaVerifyTargetMapper;
import com.yunzhi.shigongli.service.ITaVerifyTargetService;
import com.yunzhi.shigongli.vo.VerifyTargetVO;
import org.springframework.jdbc.object.UpdatableSqlQuery;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 核销内容表 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaVerifyTargetServiceImpl extends BaseServiceImpl<TaVerifyTargetMapper, TaVerifyTarget> implements ITaVerifyTargetService {

    @Override
    public IPage<VerifyTargetVO> getWxPagedBy(IPage<VerifyTargetVO> pg, String personId, String shopId, String phone, Integer isVerified) {
        return baseMapper.getWxPagedBy(pg, personId, shopId, phone, isVerified);
    }

    @Override
    public int getCountBy(String orderId, String subOrderId, Integer isVerified) {
        return baseMapper.getCountBy(orderId, subOrderId, isVerified);
    }

    @Override
    public boolean removeBy(String orderId, String subOrderId) {
        UpdateWrapper<TaVerifyTarget> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("status", Constants.STATUS_DELETED);
        updateWrapper.eq("order_id", orderId);
        updateWrapper.eq(!StringUtils.isEmpty(subOrderId), "sub_order_id", subOrderId);

        return update(updateWrapper);
    }

    @Override
    public void verify(TaVerifyTarget taVerifyTarget) throws Exception {
        taVerifyTarget.setIsVerified(true);
        taVerifyTarget.setVerifiedDate(LocalDateTime.now());

        if (!updateById(taVerifyTarget)) {
            throw new Exception("核销失败, 请重试");
        }
    }
}
