package com.yunzhi.shigongli.service.impl;

import com.yunzhi.shigongli.entity.TaOrderSub;
import com.yunzhi.shigongli.entity.TsStatisDaily;
import com.yunzhi.shigongli.mapper.TaOrderSubMapper;
import com.yunzhi.shigongli.mapper.TsStatisDailyMapper;
import com.yunzhi.shigongli.service.ITsStatisDailyService;
import com.yunzhi.shigongli.vo.StatisDailyVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 分类标签 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TsStatisDailyServiceImpl extends BaseServiceImpl<TsStatisDailyMapper, TsStatisDaily> implements ITsStatisDailyService {

    @Autowired
    TaOrderSubMapper orderSubMapper;

    @Override
    public List<StatisDailyVO> getListBy(String startDate, String statisType, long days) {

        return baseMapper.getListBy(startDate, statisType, days);
    }

    @Override
    public Map<String, Integer> statisSummary() {
        // 总营业额
        Integer totalCharge = baseMapper.statisOrderTotal();
        // 民宿数量
        Integer hotelNum = baseMapper.countHotelTotal();
        // 房源数量
        Integer roomNum = baseMapper.countRoomTotal();
        // 商户数量
        Integer shopNum = baseMapper.countShopTotal();
        // 客户数量
        Integer personNum = baseMapper.countPersonTotal();

        Map<String, Integer> result = new HashMap<>();
        result.put("totalCharge", totalCharge);
        result.put("hotelNum", hotelNum);
        result.put("roomNum", roomNum);
        result.put("shopNum", shopNum);
        result.put("personNum", personNum);

        return result;
    }
}
