package com.yunzhi.shigongli.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * https://lbs.amap.com/api/webservice/guide/api/weatherinfo
 */

@ApiModel(description = "高德地图天气")
@Data
public class AMapWeather {

    @ApiModelProperty("返回状态")
    private String status;

    @ApiModelProperty("返回结果总数目")
    private String count;

    @ApiModelProperty("返回的状态信息")
    private String info;

    @ApiModelProperty("返回状态说明,10000代表正确")
    private String infocode;

    @ApiModelProperty("实况天气数据信息")
    private List<Live> lives;

    @ApiModel(description = "实时天气")
    @Data
    public static class Live {

        @ApiModelProperty("省份名")
        private String province;

        @ApiModelProperty("城市名")
        private String city;

        @ApiModelProperty("区域编码")
        private String adcode;

        @ApiModelProperty("天气现象（汉字描述）")
        private String weather;

        @ApiModelProperty("实时气温，单位：摄氏度")
        private String temperature;

        @ApiModelProperty("风向描述")
        private String winddirection;

        @ApiModelProperty("风力级别，单位：级")
        private String windpower;

        @ApiModelProperty("空气湿度")
        private String humidity;

        @ApiModelProperty("数据发布的时间")
        private String reporttime;
    }
}
