package com.yunzhi.shigongli.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

@ApiModel(value="MineOrder", description="我的订单")
@Data
public class MineOrder {

    @ApiModelProperty(value = "订单号")
    private String orderId;

    @ApiModelProperty(value = "子订单ID")
    private String subOrderId;

    @ApiModelProperty(value = "商铺ID")
    private String shopId;

    @ApiModelProperty(value = "套餐ID")
    private String packageId;

    @ApiModelProperty(value = "描述")
    private String packageDescription;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "综合评分")
    private Float score;

    @ApiModelProperty(value = "总金额;单位分")
    private Integer charges;

    @ApiModelProperty(value = "数量")
    private Integer amount;

    @ApiModelProperty(value = "单价;单位分")
    private Integer unitPrice;

    @ApiModelProperty(value = "单价;单位分")
    private Integer standardPrice;

    @ApiModelProperty(value = "抽成;单位分")
    private Integer commissionCharge;

    @ApiModelProperty(value = "返现金额;单位分")
    private Integer cashback;

    @ApiModelProperty(value = "是否核销")
    private Boolean isVerified;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createDate;

    @ApiModelProperty(value = "核销时间")
    private LocalDateTime verifiedDate;

    @ApiModelProperty(value = "有效期始")
    private LocalDateTime startTime;

    @ApiModelProperty(value = "有效期止")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "是否已评价")
    private Integer isEvaluated;
}
