package com.yunzhi.shigongli.vo;

import com.yunzhi.shigongli.common.StringUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Map;


@ApiModel(description = "修改密码参数")
@Data
public class QrCodeParamsVO {

    @ApiModelProperty("页面地址")
    String page;

    @ApiModelProperty("页面类型")
    String type;

    @ApiModelProperty("页面参数")
    Map<String, Object> scene;

    /**
     * 获取 scene 字符串
     * @return
     */
    public String getSceneQueryString() {
        if (null == scene) {
            return null;
        }

        if (!StringUtils.isEmpty(type)) {
            scene.put("type", type);
        }

        return StringUtils.buildQueryString(scene);
    }
}
