package com.yunzhi.shigongli.vo;


import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(description = "商铺列表")
@Data
public class ShopListVO {

    @ApiModelProperty(value = "店铺ID")
    private String shopId;

    @ExcelProperty(value = "店铺名称", index = 0)
    @ApiModelProperty(value = "店铺名称")
    private String shopName;

    @ExcelProperty(value = "联系电话", index = 1)
    @ApiModelProperty(value = "联系电话")
    private String phone;

    @ExcelProperty(value = "位置信息", index = 2)
    @ApiModelProperty(value = "位置信息")
    private String address;

    @ExcelProperty(value = "人员数量", index = 3)
    @ApiModelProperty(value = "人员数量")
    private Integer workerNum;

    @ExcelProperty(value = "营业额/单位分", index = 4)
    @ApiModelProperty(value = "营业额")
    private Integer sales;

    @ExcelProperty(value = "浏览次数", index = 5)
    @ApiModelProperty(value = "浏览次数")
    private Integer pvNum;

    @ExcelProperty(value = "订单数量", index = 6)
    @ApiModelProperty(value = "订单数量")
    private Integer orderSubNum;

    @ExcelProperty(value = "推广佣金/单位分", index = 7)
    @ApiModelProperty(value = "推广佣金")
    private Integer brokerageCharges;

    @ExcelProperty(value = "已结算/单位分", index = 8)
    @ApiModelProperty(value = "已结算")
    private Integer paidCharges;

    @ExcelProperty(value = "待结算/单位分", index = 9)
    @ApiModelProperty(value = "待结算")
    private Integer unpaidCharges;

    @ExcelProperty(value = "权重", index = 10)
    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ExcelProperty(value = "状态(1营业0关闭)", index = 11)
    @ApiModelProperty(value = "状态")
    private Integer status;
}
